Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class CurrencyMismatchException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.beasys.commerce.foundation.exception.FatalApplicationException
                              |
                              +--com.bea.commerce.ebusiness.price.quote.QuoteException
                                    |
                                    +--com.bea.commerce.ebusiness.price.quote.CurrencyMismatchException

public class CurrencyMismatchException
extends QuoteException

A CurrencyMismatchException indicates that the currencies of Money values within the Quote object do not match. The Quote package is designed to enforce a single currency for all Money values.

See Also:
  `ApplicationException`, Serialized Form

Field Summary
`static java.lang.String` | `KEY` The name of the resource bundle

Fields inherited from class com.bea.commerce.ebusiness.price.quote.QuoteException
`MESSAGE_KEY, MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`CurrencyMismatchException(java.lang.Object argument)` Class constructor taking an argument for the message.
`CurrencyMismatchException(java.lang.String messageKey)` Class constructor taking a message key for the message.
`CurrencyMismatchException(java.lang.String messageKey, java.lang.Exception exception)` Class constructor taking key of the associated catalog message and an embedded exception.
`CurrencyMismatchException(java.lang.String messageKey, java.lang.Object argument)` Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`CurrencyMismatchException(java.lang.String messageKey, java.lang.Object[] arguments)` Class constructor taking key of the associated catalog message and message parameter substitution arguments.
`CurrencyMismatchException(java.lang.String expected, java.lang.String actual, java.lang.String where)`

Methods inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY

    public static final java.lang.String KEY

  The name of the resource bundle

Constructor Detail

### CurrencyMismatchException

    public CurrencyMismatchException(java.lang.String expected,
                                     java.lang.String actual,
                                     java.lang.String where)

### CurrencyMismatchException

    public CurrencyMismatchException(java.lang.Object argument)

  Class constructor taking an argument for the message. Uses the superclasses default key.

  Parameters:
    `argument` - parameter to the message catalog.

### CurrencyMismatchException

    public CurrencyMismatchException(java.lang.String messageKey)

  Class constructor taking a message key for the message.

  Parameters:
    `messageKey` - The associated catalog message key.

### CurrencyMismatchException

    public CurrencyMismatchException(java.lang.String messageKey,
                                     java.lang.Exception exception)

  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters:
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### CurrencyMismatchException

    public CurrencyMismatchException(java.lang.String messageKey,
                                     java.lang.Object argument)

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters:
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### CurrencyMismatchException

    public CurrencyMismatchException(java.lang.String messageKey,
                                     java.lang.Object[] arguments)

  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters:
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved